import { z } from 'zod';
export declare const LapalaValue: z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodBoolean]>;
export type LapalaValue = z.infer<typeof LapalaValue>;
export declare const LapalaPropertyValues: z.ZodUnion<[z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodNull]>, "many">, z.ZodArray<z.ZodUnion<[z.ZodNumber, z.ZodNull]>, "many">, z.ZodArray<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>, "many">]>;
export type LapalaPropertyValues = z.infer<typeof LapalaPropertyValues>;
export type LapalaObject = {
    [key: string]: (LapalaObject[] | LapalaPropertyValues);
};
export declare const LapalaObject: z.ZodSchema<LapalaObject>;
